Subject: Re: [bug#75283] [PATCH rust-team] gnu: rust-xremap: Use output for each feature.

From: Efraim Flashner <[email-masked]>
Date: Sun, 5 Jan 2025 10:56:46 +0200

Do we actually need a separate output/package for each desktop type? Or
can we just add in all the features and provide just one package for all
of them?

I compared the outputs of xremap-wlroots and xremap-gnome and the shell
completions are the same between them.

On Thu, Jan 02, 2025 at 02:06:09PM +0100, Herman Rimm wrote:
> * gnu/packages/rust-apps.scm (output-features): Add procedure.
> (rust-xremap)[outputs]: Add.
> [arguments]: Remove features, add modules and output-features phases.
> (xremap-gnome, xremap-kde, xremap-wlroots, xremap-hyprland, xremap-sway,
> xremap-x11): Deprecate.
> 
> Change-Id: I9cf6a27f908a0fa42e89daba12fba3615d05ad4e
> ---
>  gnu/packages/rust-apps.scm | 79 +++++++++++++++++++++-----------------
>  1 file changed, 44 insertions(+), 35 deletions(-)
> 

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted